export interface Config {
    source_repos: Repo[];
    target_repo: Repo;
    package_black_list: string[];
    package_white_list: string[];
    npm_package_sources: NpmPacageSource[];
    has_module: boolean;
    disable_alphabet_order: boolean;
    enable_function_level_toc: boolean;
    package_only_root: string[];
}

interface NpmPacageSource {
    name: string;
    registry: string;
}

interface Repo {
    url: string;
    branch: string;
    folder?: string;
}
